Subject: Re: [PATCH net 1/2] net: switchdev: Add helper to check if an object event is pending

From: Jiri Pirko <[email-masked]>
Date: Thu, 1 Feb 2024 08:45:20 +0100

Thu, Feb 01, 2024 at 01:33:05AM CET, [email-masked] wrote:
>On Wed, Jan 31, 2024 at 01:50:11PM +0100, Jiri Pirko wrote:
>> Wed, Jan 31, 2024 at 01:35:43PM CET, [email-masked] wrote:
>> >When adding/removing a port to/from a bridge, the port must be brought
>> >up to speed with the current state of the bridge. This is done by
>> >replaying all relevant events, directly to the port in question.
>> 
>> Could you please use the imperative mood in your patch descriptions?
>> That way, it is much easier to understand what is the current state of
>> things and what you are actually changing.
>
>FWIW, the paragraph you've concentrated upon does describe the current
>state of things, not what the patch does; thus it does not need to be in
>the imperative mood.

Well, there is no imperative mood in the next paragraph either :)
Therefore from the patch desctiption pow now clue what the patch is doing.